a,b,c,d = True,True,True,True
for n in range(1,101):
 if a:
  if b:
   if c:
    if d:
     d ^= True
     print(n)
    else:
     c ^= True
     print(n)
   else:
    if d:
     c ^= True
     print(n)
    else:
     b ^= True
     print("Fizz")
  else:
   if c:
    if d:
     d ^= True
     print(n)
    else:
     b ^= True
     d ^= True
     print("Fizz Buzz")
   else:
    if d:
     c ^= True
     print(n)
    else:
     a ^= True
     print(n)
 else:
  if b:
   if c:
    if d:
     d ^= True
     print(n)
    else:
     b ^= True
     print("Fizz")
   else:
    if d:
     c ^= True
     print(n)
    else:
     d ^= True
     print("Fizz")
  else:
   if c:
    if d:
     c ^= True
     print(n)
    else:
     d ^= True
     print("Buzz")
   else:
    if d:
     a ^= True
     print("Fizz")
    else:
     b ^= True
     print("Buzz")
